<app-navbar></app-navbar>
<div class="container-fluid h-100">
  <div class="row h-100">
    <div class="col-md-9">
      <pan-zoom #panZoom [config]="panZoomConfig">
        <p-organizationChart [value]="nodes" selectionMode="single" (onNodeSelect)="mostrarDetalles($event.node)">
          <ng-template let-node pTemplate="person">
            <div>
              <h4 title="{{node.title}}" style="text-align: center;">{{ node.title }}</h4>
            </div>
            <div>
              <img [src]="node.img" class="pfp" style="display: inline-block; margin-right: 10px;">
              <div style="display: inline-block;">{{ node.label }}</div>
            </div>
          </ng-template>
        </p-organizationChart>
      </pan-zoom>
    </div>
    <div class="col-md-3 d-flex flex-column">
      <div class="card" style="flex-grow: 1;background-color: rgb(228, 228, 228);">
        <div class="card-body">
          <h4 title="{{titulo}}">{{ titulo }}</h4>
          <br>
          <img [src]="img" class="pfp" style="display: inline-block; margin-right: 10px;">
          <div style="display: inline-block;">{{ usuario }}</div>
          <hr>
          <i>Roles</i>
          <button class="btn " (click)="mostrarInput = true" *ngIf="roleUsuario == 'Superadministrador'"><img
              src="../../../../assets/img/Agregar.png" title="Crear Rol" width="25px"></button>
          <ul>
            <li class="cursor" *ngFor="let rol of roles" title={{rol.tituloRole}}>{{ rol.tituloRole }}<button class="eliminar-btn btn"
                (click)="eliminarRole(rol)" *ngIf="roleUsuario == 'Superadministrador'"><img
                  src="../../../../assets/img/Eliminar.png" title="Eliminar rol" width="25px"></button></li>
          </ul>
          <input *ngIf="mostrarInput" type="text" class="form-control" [(ngModel)]="nuevoRol"
            (keyup.enter)="agregarRol()">
        </div>
      </div>
    </div>
  </div>
</div>